Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 50 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 492
  1. #21
    Quote Originally Posted by philippe_44 View Post
    did you wait a few minutes between installation and restart of lms?
    I'm afaid I wasn't aware that I had to wait. When the restart window popped up, I hit OK.

    If not, then you have a corrupted partial download in the cache directory that you must manually delete. Set as well info or debug log in LMS for the plugin loader piece and post here what you see.
    Is there any documentation where the plugin cache directory is located and where the LMS debugging options can be set? http://wiki.slimdevices.com/index.ph...file_locations didn't help me to find it.
    Best regards
    Martin

  2. #22
    found /mnt/HD/HD_a2/Nas_Prog/logitechmediaserver-7.7.2/Cache/DownloadedPlugins, but it is empty.
    /mnt/HD/HD_a2/Nas_Prog/logitechmediaserver-7.7.2/Cache/InstalledPlugins/Plugins contains "Raop Bridge", which I also had tried to install.
    ?

  3. #23
    Senior Member
    Join Date
    Feb 2008
    Posts
    4,163
    Quote Originally Posted by philippe_44 View Post
    So should be a different problem then. The plugin is quite large, did you wait a few minutes between installation and restart of lms? If not, then you have a corrupted partial download in the cache directory that you must manually delete. Set as well info or debug log in LMS for the plugin loader piece and post here what you see


    EnvoyÚ de mon iPad en utilisant Tapatalk
    Strange - the plugin comes at about 5.7 - wait at least 5 min before restart. Plugin listed with empty checkbox - Plugin failed to load.

    Can't find any reference to plugin loader in logging settings (???)
    Touch, Logitech Radio, Logitech UE Radio, O2 Joggler + SqpOS
    UPnPBridge - 2 paired Sonos Play1 speakers; Rocki - Sony SRS-BTM8 speaker; Pioneer WX-SMA1 speaker; - PURE One Flow internet radio: PURE Jongo S3x ; Jongo T2; Libratone Zipp
    Castbridge - Chromecast 1 + Chromecast Audio
    AirplayBridge - Loewe Airspeaker
    SB Player - Fire TV
    ------------------------------------------------------------------------------------

  4. #24
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,241
    Quote Originally Posted by castalla View Post
    Strange - the plugin comes at about 5.7 - wait at least 5 min before restart. Plugin listed with empty checkbox - Plugin failed to load.

    Can't find any reference to plugin loader in logging settings (???)
    Usually I try that

    - (plugin.extensions) - Extension Downloader
    - (server.plugins) - Plugin Module Loading

    Can you also tell me which Perl version you're using? (int he LMS infos)**[edit]: oh crap, I saw that you use a 7.7.2 and Perl 5.10. My additional binaries do not support that. You need 5.14 or 5.20 to be able to use the built-in binaries; LMS 7.7.6 have all these right. Otherwise, you need to recompile some openSSL to Perl connectors
    Last edited by philippe_44; 2016-11-05 at 10:33.
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express

  5. #25
    Senior Member
    Join Date
    Feb 2008
    Posts
    4,163
    Quote Originally Posted by philippe_44 View Post
    Usually I try that

    - (plugin.extensions) - Extension Downloader
    - (server.plugins) - Plugin Module Loading

    Can you also tell me which Perl version you're using? (int he LMS infos)
    Hope this helps:

    Perl Version: 5.18.2 - i686-linux-gnu-thread-multi-64int
    Attached Files Attached Files
    Touch, Logitech Radio, Logitech UE Radio, O2 Joggler + SqpOS
    UPnPBridge - 2 paired Sonos Play1 speakers; Rocki - Sony SRS-BTM8 speaker; Pioneer WX-SMA1 speaker; - PURE One Flow internet radio: PURE Jongo S3x ; Jongo T2; Libratone Zipp
    Castbridge - Chromecast 1 + Chromecast Audio
    AirplayBridge - Loewe Airspeaker
    SB Player - Fire TV
    ------------------------------------------------------------------------------------

  6. #26
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,241
    Just to elaborate :
    Quote Originally Posted by streampunk View Post
    > apt-get install libcrypt-openssl-rsa-perl libio-socket-inet6-perl libwww-perl avahi-utils libio-socket-ssl-perl
    - avahi not needed
    - only the crypto openssl lib installation is needed but it would be surprising that it's not installed on your system, the rest is provided by the plugin now, UNLESS you use a Perl version that is neither 5.14 or 5.20 in which case you need, using Perl's CPAN, to install Crypt::OpenSSL::RSA (see the structure in the LMS ShairTunes2W plugin directory under ./lib/5.14/arm-linux-gnueabihf-thread-multi-64int to have an idea of what are the missing binaries. Note that if you manage to install them using CPAN, you do not need to add anything in this ./lib directory)
    > wget http://www.inf.udec.cl/~diegocaro/rp...0.07-1_all.deb
    > dpkg -i libnet-sdp-perl_0.07-1_all.deb
    This is not needed anymore
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express

  7. #27
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,241
    Quote Originally Posted by castalla View Post
    Hope this helps:

    Perl Version: 5.18.2 - i686-linux-gnu-thread-multi-64int
    crap ... how come you ended with Perl 5.18? In that case, as I wrote in the post above, you must have the RSA piece of the Crypto lib of Perl installed, as I only provide a compiled version for 5.14 and 5.20
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express

  8. #28
    Senior Member
    Join Date
    Feb 2008
    Posts
    4,163
    Quote Originally Posted by philippe_44 View Post
    crap ... how come you ended with Perl 5.18? In that case, as I wrote in the post above, you must have the RSA piece of the Crypto lib of Perl installed, as I only provide a compiled version for 5.14 and 5.20
    No idea! Does Perl come with the OS or is it part of LMS ?

    I assume that simply doing

    > wget http://www.inf.udec.cl/~diegocaro/rp...0.07-1_all.deb
    > dpkg -i libnet-sdp-perl_0.07-1_all.deb

    will fix the problem ?
    Touch, Logitech Radio, Logitech UE Radio, O2 Joggler + SqpOS
    UPnPBridge - 2 paired Sonos Play1 speakers; Rocki - Sony SRS-BTM8 speaker; Pioneer WX-SMA1 speaker; - PURE One Flow internet radio: PURE Jongo S3x ; Jongo T2; Libratone Zipp
    Castbridge - Chromecast 1 + Chromecast Audio
    AirplayBridge - Loewe Airspeaker
    SB Player - Fire TV
    ------------------------------------------------------------------------------------

  9. #29
    Quote Originally Posted by philippe_44 View Post
    crap ... how come you ended with Perl 5.18? In that case, as I wrote in the post above, you must have the RSA piece of the Crypto lib of Perl installed, as I only provide a compiled version for 5.14 and 5.20
    Even worse, WD Ex4 has "Perl-Version: 5.10.0 - arm-linux", and I have no clue how to update this.

  10. #30
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,241
    Quote Originally Posted by streampunk View Post
    Even worse, WD Ex4 has "Perl-Version: 5.10.0 - arm-linux", and I have no clue how to update this.
    You can log in the WD as a terminal and try "cpan Crypt::OpenSSL::RSA" but I cannot guarantee that it will do the job, especially because it expects you to have a compiler. Can't you upgrade to LMS 7.7.6 which I think forces Perl 5.14?
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •